org.eclipse.emf.compare.rcp.ui.mergeviewer.item.provider

## Interface IOptionalProvider

All Known Subinterfaces:
  IMergeViewerItemContentProvider, IMergeViewerItemProvider

All Known Implementing Classes:
  CompareAccessorMergeViewerItemProvider, ResourceAttachmentChangeProvider, TreeMergeViewerItemContentProvider

    public interface IOptionalProvider

A contract for a provider which can indicate whether it wants to handle a certain object.

Since:
  4.4

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `canHandle(Object object)` Indicates whether this provider wants to handle the given `object`.

### Method Detail

#### canHandle

    boolean canHandle(Object object)

Indicates whether this provider wants to handle the given `object`.

Parameters:
  `object` - the `Object`.
Returns:
  `true` if the provider wants to handle the given `object`, `false` otherwise.